org.gradle.plugins.javascript.rhino.worker

## Class RhinoWorkerUtils.DefaultScopeOperation<T>

- java.lang.Object
- - org.gradle.plugins.javascript.rhino.worker.RhinoWorkerUtils.DefaultScopeOperation<T>

- All Implemented Interfaces:
    RhinoWorkerUtils.ScopeOperation<T>
  Enclosing class:
    RhinoWorkerUtils

      public static class RhinoWorkerUtils.DefaultScopeOperation<T>
      extends Object
      implements RhinoWorkerUtils.ScopeOperation<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoWorkerUtils.DefaultScopeOperation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `action(org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Context context)`
    `void` | `initContext(org.mozilla.javascript.Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoWorkerUtils.DefaultScopeOperation

          public RhinoWorkerUtils.DefaultScopeOperation()

  - ### Method Detail

    - #### initContext

          public void initContext(org.mozilla.javascript.Context context)

      Specified by:
        `initContext` in interface `RhinoWorkerUtils.ScopeOperation<T>`

    - #### action

          public T action(org.mozilla.javascript.Scriptable scope,
                 org.mozilla.javascript.Context context)

      Specified by:
        `action` in interface `RhinoWorkerUtils.ScopeOperation<T>`